ant-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject DO NOT REPLY [Bug 44081] New: - compilerarg should support ranges
Date Fri, 14 Dec 2007 21:03:49 GMT
DO NOT REPLY TO THIS EMAIL, BUT PLEASE POST YOUR BUG·
RELATED COMMENTS THROUGH THE WEB INTERFACE AVAILABLE AT
<http://issues.apache.org/bugzilla/show_bug.cgi?id=44081>.
ANY REPLY MADE TO THIS MESSAGE WILL NOT BE COLLECTED AND·
INSERTED IN THE BUG DATABASE.

http://issues.apache.org/bugzilla/show_bug.cgi?id=44081

           Summary: compilerarg should support ranges
           Product: Ant
           Version: 1.7.0
          Platform: All
        OS/Version: All
            Status: NEW
          Severity: enhancement
          Priority: P2
         Component: Core tasks
        AssignedTo: notifications@ant.apache.org
        ReportedBy: Martin.vGagern@gmx.net


I'm trying to pass -Xlint:all to all Sun compiler versions that support it, i.e.
starting from 1.5 and theoretically for all future versions. Right now I only
can achieve this by specifying several compilerarg values, like javac1.5,
javac1.6 and so on, all with the same value. It would be nice to specify
"javac1.5+" or something like this to mean javac version 1.5 and later. Maybe
you also want limited ranges, like "javac1.5-javac1.7", but I guess once you
have two ends, the alternative of listing all versions becomes acceptable.

-- 
Configure bugmail: http://issues.apache.org/bugzilla/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug, or are watching the assignee.

Mime
View raw message